Add a state to a lifecycle
POST
/api/v1/projects/{projectId}/lifecycles/{lifecycleId}/states
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lifecycles/example/states?sandboxId=example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","color":"example","type":"example","lifecycleStatus":"example","displayOrder":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lifecycles/example/states?sandboxId=example' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "color": "example", "type": "example", "lifecycleStatus": "example", "displayOrder": 1 }'Stages the new state into the change request named by sandboxId; nothing applies until the request is promoted.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
lifecycleId
required
string
Query Parameters
Section titled “Query Parameters”sandboxId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
description
string | null
color
string | null
type
required
string
lifecycleStatus
required
string
displayOrder
required
integer format: int32
Example generated
{ "name": "example", "description": "example", "color": "example", "type": "example", "lifecycleStatus": "example", "displayOrder": 1}Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string
name
required
string
lifecycleStatus
required
string
color
string | null
type
required
string
displayOrder
required
integer format: int32